<?php
function create_slider_post_type()
{
    register_post_type('slider',
        array(
            'labels' => array(
                'name' => __('Sliders'),
                'singular_name' => __('slider')
            ),
            'public' => true,
            'has_archive' => true,
            'rewrite' => array('slug' => 'slider'),
            'supports' => array('title', 'thumbnail','editor')
        )
    );

}

add_action('init', 'create_slider_post_type');
